package com.backendsys.mapper.Cms;

import com.backendsys.entity.Cms.CmsPageDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface CmsPageMapper {
    List<Map<String, Object>> queryPageList(CmsPageDTO cmsPageDTO);
    Map<String, Object> queryPageDetailPublic(CmsPageDTO cmsPageDTO);
    Map<String, Object> queryPageDetail(CmsPageDTO cmsPageDTO);
    long updatePage(CmsPageDTO cmsPageDTO);
}
